//+------------------------------------------------------------------+
//|                                       ADX BARS              .mq4 |
//|                                              Perky Aint no turkey|
//|                                                                  |
//+------------------------------------------------------------------+
#property  copyright "Perky"
#property  link      "Perky_z@yahoo.com"
//---- indicator settings
#property  indicator_chart_window
#property  indicator_buffers 2
#property  indicator_color1  clrRed
#property  indicator_color2  clrDodgerBlue
#property  indicator_width1  2
#property  indicator_width2  2



extern int ADXPeriod = 14;


//
//
//
//
//

double  buffer1[];
double  buffer2[];
double  trend[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
  {
   
   IndicatorBuffers(3);
   SetIndexBuffer(0,buffer1); SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,buffer2); SetIndexStyle(1,DRAW_HISTOGRAM); 
   SetIndexBuffer(2,trend);
return(0);
}
 
//+------------------------------------------------------------------+
//| Aroon Oscilator                                                  |
//+------------------------------------------------------------------+
int start()
{
    int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   
   for(int i=limit; i>=0; i--)
   {
      double plusdi  = iADX(NULL,0,ADXPeriod,PRICE_CLOSE,MODE_PLUSDI,i);
      double minusdi = iADX(NULL,0,ADXPeriod,PRICE_CLOSE,MODE_MINUSDI,i);
   
      buffer1[i] = EMPTY_VALUE; 
      buffer2[i] = EMPTY_VALUE; 
      trend[i]   = trend[i+1];
      if(minusdi>plusdi) trend[i] =-1;
      if(plusdi>minusdi) trend[i] = 1;
      if (trend[i] ==-1) { buffer2[i]=Low[i]; buffer1[i]=High[i]; }
      if (trend[i] == 1) { buffer1[i]=Low[i]; buffer2[i]=High[i]; }
   }
return(0);
}